The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Релиз десктоп-окружения Trinity 3.5.13, продолжающего развитие KDE 3.5

01.11.2011 23:05

После более года разработки увидел свет релиз десктоп-окружения Trinity 3.5.13, продолжающего развитие кодовой базы KDE 3.5.x. Это третий релиз проекта, выпущенный с момента создания ответвления от KDE 3.5.10. Готовые бинарные пакеты доступны для Ubuntu, Debian, RHEL/CentOS и Fedora.

В рамках Trinity осуществляется не только поддержание кодовой базы KDE 3.5 в актуальном виде, но и её развитие. Например, добавлены новые средства для управления параметрами экрана, улучшенный конфигуратор сети, поддержка механизмов аутентификации пользователей. В версии 3.5.13 реализованы новые средства, связанные с обеспечением безопасности, улучшена поддержка запуска Gtk-приложений и проведена большая работа по улучшению юзабилити.

Как и прошлые выпуски, Trinity 3.5.13 по прежнему базируется на использовании библиотеки Qt 3.3.8, в будущих релизах планируется осуществить миграцию на Qt4 (работа по портированию на Qt ведётся с самого начала, текущий объем выполненных работ оценивается примерно в 60%). Кроме того, планируется полный переход на использование CMake и udev, а также задействование браузерного движка WebKit.

Кроме развития пользовательского окружения силами проекта также обеспечено поддержание кодовой базы библиотеки Qt3, в которую продолжаются вноситься исправления ошибок и даже добавляться улучшения. С момента прекращения официально поддержки Qt3 компанией Nokia/Trolltech внесено уже несколько сотен патчей.

Из улучшений, добавленных в Trinity 3.5.13, можно отметить:

  • Добавлены новые программы: kbookreader, kdbusnotification, kmymoney и kstreamripper;
  • Для Debian Squeeze дополнительно подготовлены пакеты для архитектуры ARM (armel). Возможно пакеты в сборке для armel также будут созданы для Ubuntu;
  • Улучшена совместимость с KDE 4.x, что позволяет устанавливать Trinity одновременно с KDE 4 и запускать приложения, созданные для KDE4;
  • Подготовлены сборки для RHEL5, RHEL6 и Fedora 15;
  • В libkrandr добавлена поддержка DPMS и возможность настройки цветности;
  • Реализован бэкенд для управления параметрами нескольких мониторов, в центр управления настройками добавлена секция "Monitor and Display" с поддержкой настройки многомониторных конфигураций;
  • Улучшена работа движка для отображения интерфейса GTK-программ (Gtk+ 2.x) в окружении Qt. Теперь корректно отображаются вкладки, фоновое меню и прочие элементы управления, не нарушая единого стиля Trinity;
  • Добавлена подсистема Secure Attention Key для обеспечения безопасного входа и корректного блокирования десктопа;
  • Добавлена новая тема виджетов - Asteroid;
  • Интегрирована поддержка композитного вывода на экран, используя которую такие приложения как Amarok могут воспользоваться дополнительными эффектами, например, прозрачностью;
  • Новый клиент для обеспечения отправки уведомления через DBus, который могут использовать для вывода уведомлений такие приложения, как Firefox и NetworkManager;
  • Улучшена работа браузера Konqueror, решены проблемы с крахом Flash-плагина;
  • Улучшена работа апплета QuickLaunch Kicker. В Kicker добавлена опция "Deep Buttons";
  • С Automake на CMake портированы такие компоненты, как tqtinterface, arts, kdelibs, kdebase, kdeartwork, kdesdk, kdegraphics, kdepim, kdenetwork, kwebdev и kdevelop;
  • Во всех модулях, библиотеках и приложениях теперь используется отдельное пространство имён классов TQ*.


  1. Главная ссылка к новости (http://trinity-announce.pearso...)
  2. OpenNews: KDE 3.5.10 доступен для загрузки
  3. OpenNews: Принято решение о выпуске релиза KDE 3.5.10
Лицензия: CC-BY
Тип: Интересно / Программы
Короткая ссылка: https://opennet.ru/32196-kde
Ключевые слова: kde, trinity, desktop
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (125) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (-), 23:49, 01/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    К КДЕ4 я так и не смог привыкнуть, пришлось пересесть на гном. Думаю, может, trinity поставить...
     
     
  • 2.16, Аноним (-), 00:42, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Та же была фигня. Но кде 4.7.х совсем другая история. всё что надо мне - есть, квин шустрый, аптайм уже больше недели - никаких проблем с плазмой :)
     
     
  • 3.19, Rex Lockheart (ok), 00:48, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Ну, в общем да.
    В 4.7.2 уже можно смело удалять игрушки, не опасаясь, что из-за зависимостей будет удалено что-нибудь системное.
    Тем не менее, Тринити уже потому стоит попробовать, что системные требования у неё поскромнее, для старых компов - самое оно.


     
     
  • 4.24, Nxx (ok), 01:39, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +8 +/
    > В 4.7.2 уже можно смело удалять игрушки, не опасаясь, что из-за зависимостей будет удалено что-нибудь системное.

    Это никак от КДЕ не зависит, это чисто косяки упаковщиков твоего дистрибутива.

     
     
  • 5.125, Rex Lockheart (ok), 15:09, 07/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А, ну да, я использую "неправильные дистрибутивы".
    Ответ, достойный ЛОРа, а не Опеннета.
    За последние пару лет наблюдал такую картину как минимум в трёх дистрибутивах Линукс и одном - FreeBSD.
    Мне, наверное, катастрофически не везёт с выбором правильного дистрибутива.
    А ещё, наверное, самые-самые некриворукие специалисты не те, кто собирает дистрибутивы, а те, кто зависает на форумах.

    Что характерно - уже в двух дистрибутивах из числа "неправильных" упаомянутая проблема решена.
    Либо сборщики "поумнели", либо дело было всё-таки в самом КДЕ...


     
     
  • 6.128, PereresusNeVlezaetBuggy (ok), 15:19, 07/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > А, ну да, я использую "неправильные дистрибутивы".
    > Ответ, достойный ЛОРа, а не Опеннета.
    > За последние пару лет наблюдал такую картину как минимум в трёх дистрибутивах
    > Линукс и одном - FreeBSD.
    > Мне, наверное, катастрофически не везёт с выбором правильного дистрибутива.
    > А ещё, наверное, самые-самые некриворукие специалисты не те, кто собирает дистрибутивы,
    > а те, кто зависает на форумах.
    > Что характерно - уже в двух дистрибутивах из числа "неправильных" упаомянутая проблема
    > решена.
    > Либо сборщики "поумнели", либо дело было всё-таки в самом КДЕ...

    Либо сборщики поумнели, либо ваши ручки выправились. Без обид, но KDE тут точно ни при чём, его просто собирают из исходников. А вот кто и как собирает ваш KDE - разбираться вам.

     
  • 3.32, Аноним (-), 02:02, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +6 +/
    > надо мне - есть, квин шустрый, аптайм уже больше недели - никаких проблем с плазмой :)

    Зато всякие аконади и непоймуки - заколебали. Половина программ в кде без них просто не может работать. Хотя по логике вещей это весьма опциональные компоненты.

     
     
  • 4.34, PereresusNeVlezaetBuggy (ok), 02:12, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> надо мне - есть, квин шустрый, аптайм уже больше недели - никаких проблем с плазмой :)
    > Зато всякие аконади и непоймуки - заколебали. Половина программ в кде без
    > них просто не может работать. Хотя по логике вещей это весьма
    > опциональные компоненты.

    Без Nepomuk всё работает. Akonadi же - не опциональный компонент, его просто пилили долго. Сейчас его бросили "в бой", 4.7 - не для тех, кто много работает в KMail. Но траблы фиксят реально быстро и возможно, Akonadi станет полностью юзабельным ещё до 4.8 (которого, впрочем, тоже не так уж долго ждать осталось).

     
     
  • 5.72, йцукенг12 (ok), 12:43, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Без Nepomuk всё работает.

    Судя по упорству с которым его пытаются всучить - это не на долго.

    > Akonadi же - не опциональный компонент, его просто

    Я не вижу - зачем мне это надо. Если это не опциональный компонент, отлично, тогда КДЕ получает деинсталл в пользу DE без таких mandatory компонентов. Потому что лично мне такие компоненты не нужны.

    > и возможно, Akonadi станет полностью юзабельным ещё до 4.8 (которого, впрочем,
    > тоже не так уж долго ждать осталось).

    Мне он не нужен. Ни в 4.8, ни в 5.0, ни в 10.0, так что пусть или кдешники выносят его как опциональный модуль, используемый только некоторыми программами, или идут лесом. Я не пользуюсь кривизной типа kmail, kopete и прочими дефолтными затычками. Зачем мне akonadi?!

     
     
  • 6.81, PereresusNeVlezaetBuggy (ok), 13:41, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    gt оверквотинг удален Если вы им не пользуетесь, он не будет вас трогать Если... большой текст свёрнут, показать
     
  • 6.84, emg81 (ok), 14:15, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    у меня KDE, akonadi не установлен.
    Gentoo потому что. "удаляется" легко и крайне просто: -semantic-desktop в юзфлаги и всё отлично.
     
     
  • 7.86, PereresusNeVlezaetBuggy (ok), 14:21, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > у меня KDE, akonadi не установлен.
    > Gentoo потому что. "удаляется" легко и крайне просто: -semantic-desktop в юзфлаги и
    > всё отлично.

    Это вы про Nepomuk, видимо. Akonadi к semantic desktop имеет отношение крайне косвенное.

     
     
  • 8.87, emg81 (ok), 14:34, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    не сказал бы вот сейчас у меня аконади и пр не установлено если задать сборку... большой текст свёрнут, показать
     
     
  • 9.90, PereresusNeVlezaetBuggy (ok), 14:58, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    gt оверквотинг удален Akonadi нужен для самого Nepomuk, для вытаскивания метад... текст свёрнут, показать
     
     
  • 10.92, emg81 (ok), 15:08, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    вот этого уже не знаю факт тот, что -semantic-desktop и emerge --depclean -av ... текст свёрнут, показать
     
  • 4.35, Аноним (-), 02:13, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Зато всякие аконади и непоймуки - заколебали. Половина программ в кде без
    > них просто не может работать.

    Половина? Нука перечисли :) У меня аконади и непопук отключен пожизненно. Там еще кто-то говорил, что игрушки нельзя удалять :))) А у меня их и небыло никогда. Хватит бред писать. А за Trinity рад, пусть будет для кого нужно.

     
     
  • 5.73, йцукенг12 (ok), 12:43, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Половина? Нука перечисли :) У меня аконади и непопук отключен пожизненно.

    ... тогда зачем мне их в систему вообще инсталлировать?!

     
     
  • 6.85, emg81 (ok), 14:21, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    ну давайте теперь специально для Вас сборку ядра разрабы делать будут, потому чт... большой текст свёрнут, показать
     
  • 4.56, Engineer (??), 10:46, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Полностью согласен про аконади и непоМУКИ, сделали бы какое явное и полное их отключение без последующих ругательных сообщений. Про отключение в настройках КДЕ - они не отключают полностью. Сам в Арче отрубаю ещё в ~/.config/akonadi/akonadiserverrc, там есть опция старта Аконади, ставим ее в false.
     
     
  • 5.58, PereresusNeVlezaetBuggy (ok), 10:55, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Полностью согласен про аконади и непоМУКИ, сделали бы какое явное и полное
    > их отключение без последующих ругательных сообщений. Про отключение в настройках КДЕ
    > - они не отключают полностью. Сам в Арче отрубаю ещё в
    > ~/.config/akonadi/akonadiserverrc, там есть опция старта Аконади, ставим ее в false.

    ... И почти весь KDE PIM, включая KMail (который теперь 2), в KDE 4.7+ у вас отвалится.

     
     
  • 6.75, йцукенг12 (ok), 12:45, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > ... И почти весь KDE PIM, включая KMail (который теперь 2), в
    > KDE 4.7+ у вас отвалится.

    Я не пользуюсь PIM, особенно KDEшным. И kmail-ом - тоже. Но аконади и непомуки все-равно усиленно сватают. Зачем?!

     
     
  • 7.79, PereresusNeVlezaetBuggy (ok), 13:09, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    >> ... И почти весь KDE PIM, включая KMail (который теперь 2), в
    >> KDE 4.7+ у вас отвалится.
    > Я не пользуюсь PIM, особенно KDEшным. И kmail-ом - тоже. Но аконади
    > и непомуки все-равно усиленно сватают. Зачем?!

    Если не пользуетесь PIM, то и Akonadi вас трогать не должен. Максимум будет висеть и отъедать каплю реальной (не виртуальной) памяти. Если это не так - надо разбираться.

    А Nepomuk просто включён по умолчанию, ибо предназначен в первую очередь для тех, кто с компьютером общается с трудом и нуждается в постоянных подсказках. Отключается без ковыряния консоли, в штатном апплете SystemSettings.

     
     
  • 8.88, terr0rist (ok), 14:39, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Что больше всего бесит в аконади, так это то, что он тупой У меня на компе верт... большой текст свёрнут, показать
     
     
  • 9.89, PereresusNeVlezaetBuggy (ok), 14:51, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Зачем Они ж всё равно с разными базами работают ССЗБ Она работает Если её не... большой текст свёрнут, показать
     
     
  • 10.108, szh (ok), 19:55, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    На современном компе 1 укажите опцию загрузки ядра mem 256M Force usage of a... текст свёрнут, показать
     
     
  • 11.109, PereresusNeVlezaetBuggy (ok), 19:58, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Спасибо, только речь не про Linux Да и всё равно будет не совсем честно из-з... текст свёрнут, показать
     
  • 8.101, Аноним (-), 18:34, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    эту дуру дергают даже часики на панели, не то что PIM или копыто о как а подро... текст свёрнут, показать
     
     
  • 9.102, PereresusNeVlezaetBuggy (ok), 18:48, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Хм Я вот остановил Akonadi-сервер несколько часов назад В top е активности не ... большой текст свёрнут, показать
     
     
  • 10.103, Аноним (-), 19:01, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    это что я серьезно просил пример привести ... текст свёрнут, показать
     
     
  • 11.105, PereresusNeVlezaetBuggy (ok), 19:19, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Это как раз один из usecase ов для Nepomuk А вообще, лучше вы с этим вопросом к... текст свёрнут, показать
     
     
  • 12.107, Аноним (-), 19:53, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    это не юз-кейс, это какой-то поток слов, из которого я ничего не понял и да, в... текст свёрнут, показать
     
     
  • 13.110, PereresusNeVlezaetBuggy (ok), 20:01, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Многие пользователи не знают даже, чем они пользуются Они каждый день открывают... текст свёрнут, показать
     
     
  • 14.111, Аноним (-), 20:35, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    слушайте, это цирк помогать в чем или чем или вы тоже не в курсе это прям ... текст свёрнут, показать
     
     
  • 15.112, PereresusNeVlezaetBuggy (ok), 20:49, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    1 Поиск данных не по ключевому набору байт, а по контексту и семантике и в любы... текст свёрнут, показать
     
     
  • 16.115, Аноним (-), 01:59, 03/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    хмф почему тогда он не помогает дельфину искать по метаинформации в куче пдф п... текст свёрнут, показать
     
     
  • 17.116, PereresusNeVlezaetBuggy (ok), 02:03, 03/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Согласен Насчёт PDF хз, скорее всего, strigi-чего-то-там не работает или прос... текст свёрнут, показать
     
  • 17.119, Аноним (-), 18:43, 03/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Потому что все его сразу отключают и никто не хочет писать о багах и пожеланиях ... текст свёрнут, показать
     
  • 3.41, sergius (?), 07:03, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +21 +/
    Та же была фигня. Но кде 4.1.х совсем другая история.
    Та же была фигня. Но кде 4.2.х совсем другая история.
    Та же была фигня. Но кде 4.3.х совсем другая история.
    Та же была фигня. Но кде 4.4.х совсем другая история.
    Та же была фигня. Но кде 4.5.х совсем другая история.
    Та же была фигня. Но кде 4.6.х совсем другая история.

    Каждый раз это слышу.

     
     
  • 4.67, Аноним (-), 12:04, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    с каждой новой версией добавляют недостающее => пользователи радуются и комфортно используют.

    как бы прогресс налицо.

     
  • 4.82, Reyn (?), 13:57, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    С каждым часом Солнечная система приближается на сорок три тысячи миль к шаровидному скоплению М13 в созвездии Геркулеса — и все же находятся недоумки, которые упорно отрицают прогресс. Р. К. Фэрн
     
  • 2.33, Аноним (-), 02:05, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +3 +/
    > К КДЕ4 я так и не смог привыкнуть

    А что к нему привыкать? Все тоже самое. Что в kde4 не так как в kde3? Аплеты (виджеты) на рабочем столе напрягают? Не ставь их на стол, а в чем еще отличие? Паенель, кнопка "K", принципы работы с оболочкой, все тоже, все на своих местах.

     
     
  • 3.39, Nxx (ok), 04:46, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> К КДЕ4 я так и не смог привыкнуть
    > А что к нему привыкать? Все тоже самое. Что в kde4 не
    > так как в kde3? Аплеты (виджеты) на рабочем столе напрягают? Не
    > ставь их на стол, а в чем еще отличие? Паенель, кнопка
    > "K", принципы работы с оболочкой, все тоже, все на своих местах.

    Не все.

     
  • 2.61, all_glory_to_the_hypnotoad (ok), 11:11, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    помню, последний релиз официальных кед 3их был 3.5.10, выше 3.5.13. Понимаешь намёк?
     
  • 2.69, Дон Хуан (?), 12:12, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > К КДЕ4 я так и не смог привыкнуть, пришлось пересесть на гном.
    > Думаю, может, trinity поставить...

    я напротив, перелез на 4-е кеды. Сейчас они самое стабильное и удобное, последние 6 лет регулярно пытался на них перелезть(сначала на 3.х.х, потом на 4.х.х), но буквально через час возвращался обратно в GNOME/openbox.
    скриншот: http://goo.gl/3Hc6h

     

  • 1.2, iddqd (ok), 00:07, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    ух ты, надеюсь и в портах фрибсд есть.
     
     
  • 2.45, if (?), 08:18, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    отсутствует
     

  • 1.3, KDE4 FTW (?), 00:08, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –13 +/
    KDE4 в 100 раз лучше и стабильнее. Когда-то сидел на третьекедах, но скажем так - юзерфредлостью и функционалом они не блещут, по сравнению с 4ми кедами. Да и мне не 70 лет, чтобы еще "привыкать" (как многие любят нудить в каждом топике) к чему-либо.
     
     
  • 2.4, iddqd (ok), 00:14, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    ну это кому как.
    если в кде4 я первым делом маялся с тем чтобы убрать то что мне не нужно (все эти плазмы и прочую дребедень) - в кде3 было все то что устраивает "из под коробки"
    + малое потребление памяти без каких-либо ковыряний как в 4

     
     
  • 3.6, KDE4 FTW (?), 00:18, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • –5 +/
    Меня всегда удивляли эти наезды про память. Почему у меня на 4х компах 4е кеды занимают от 130 до 200 мб? Вот уже несколько лет стоят эти кеды, и ровно столько занимают. Что вы с ними делаете, что они раздуваются у вас до гигабайтов? -_-
     
     
  • 4.15, Аноним (-), 00:38, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +7 +/
    > Меня всегда удивляли эти наезды про память. Почему у меня ...

    Ну, у тебя может и 130 Мб, а вот разработчику Kate и 4 Гб мало оказалось... я-то лично больше твоему авторитету доверяю, но есть вот люди, которые больше доверяют одному из разработчиков KDE.

     
     
  • 5.36, PereresusNeVlezaetBuggy (ok), 02:17, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> Меня всегда удивляли эти наезды про память. Почему у меня ...
    > Ну, у тебя может и 130 Мб, а вот разработчику Kate и
    > 4 Гб мало оказалось... я-то лично больше твоему авторитету доверяю, но
    > есть вот люди, которые больше доверяют одному из разработчиков KDE.

    У меня сильное подозрение, кстати, что тут какие-то проблемы на стороне glibc или ещё чего-то. Почти что ручками собранный KDE 4.7.2 на OpenBSD, с практически полным набором зависимостей, жрёт... не то чтобы мало, но и не 4, и даже не 2 гига. Исключение - Akonadi на IMAP с большим количеством писем: похоже, эта дура всё собирает в память, пока не обчитается. Ну ещё плазма хорошо кушает, если её обвешать виджетами со всех сторон. Всё остальное вело себя прилично, не хуже (а порой и лучше) третьих Кед.

     
  • 2.5, dimqua (ok), 00:17, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    По мне так, на KDE4 только смотреть красиво, а работается лучше в KDE3. Довольно сильно все эти свистелки мешают, имхо.
     
     
  • 3.7, KDE4 FTW (?), 00:19, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Это какие? KWIN можно отключить, а пользоваться виджетами никто не заставляет.
     
  • 3.8, pavlinux (ok), 00:21, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Да-да-да, уже второй год на Xfce, а вот оставили бы в Сусе КДЕ 3.5, остался бы на кедах.

    KDE4 меня добили когда SQL прикрутили к почте.

    А убогий Гном намертво приварен к evolution, avahi, писалке  дисков, CUPS и ещё чего-то там.
    Я пля, принтер забыл когда в последний раз видел, а болванку, вааще, писал лет 5 назад.
    Ну и нах...я мне этот зоопарк на диске, в конфигах, зависимостях,... ???


    ТУПА ХОЧЕТСЯ ОКОННЫЙ МЕНЕДЖЕР С Plugin API, чего надо я сам поставлю.
    и чтоб в обморок не падал при отсутствии принтера, не на пользовательском уровне
    ни на системном.

    А в логи KDE4 и ГНОМа даже смотреть страшно, вечно какие-то assert, error, unknown...

     
     
  • 4.10, dimqua (ok), 00:26, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А как же это?
    http://ru.opensuse.org/KDE3
     
     
  • 5.13, pavlinux (ok), 00:34, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > А как же это?
    > http://ru.opensuse.org/KDE3

    Там в ручную надо допиливать, а если появится желание заняться рукоделием,
    я лучше допилю openbox, он ваще реактивный.  

     
     
  • 6.29, Nxx (ok), 01:47, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> А как же это?
    >> http://ru.opensuse.org/KDE3
    > Там в ручную надо допиливать, а если появится желание заняться рукоделием,
    > я лучше допилю openbox, он ваще реактивный.

    Что там надо допиливать? Конкретнее.

     
     
  • 7.30, Zenitur (ok), 01:55, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Вероятно, он имел в виду то, что нужно вручную добавить этот сторонний репозитарий, тогда как для всех основных сторонних репозитариев всё уже добавлено, просто по-умолчанию не стоят на них галочки. Это мешает устанавливать KDE 3 пользователям. А что ты там говорил про то, что KDE 3 хотели взять обратно в основной репозитарий?

    P.S. Спасибо, что поспособствовал восстановлению справедливости!

     
     
  • 8.31, Nxx (ok), 02:00, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Увидишь в release notes ... текст свёрнут, показать
     
  • 4.25, Nxx (ok), 01:41, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Да-да-да, уже второй год на Xfce, а вот оставили бы в Сусе
    > КДЕ 3.5, остался бы на кедах.

    И в чем проблема? Используй в Сусе КДЕ 3.5


     
  • 4.42, digitalbunny (ok), 07:12, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Предположу, что о том, что к чему "приварено", ты имеешь представление лишь из пакетной базы своего любимого дистрибутива. Знай, в действительности, и в GNOME и в KDE можно многое отключить на этапе конфигурирования перед компиляцией. Я к тому, что "привареность" evolution, cups и brasero в GNOME - наглая беспардонная ложь.
    Отдельно хочу предположить, судя по твоему лексикону, у тебя дистрибутив не ubuntu ли, часом?
     
  • 4.51, brzm (?), 10:07, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +3 +/
         ├─gdm───gdm─┬─Xorg
         │           └─openbox─┬─chromium─┬─2*[chromium]
         │                     │          └─16*[{chromium}]
         │                     ├─claws-mail───{claws-mail}
         │                     ├─clipit
         │                     ├─pidgin
         │                     ├─ssh-agent
         │                     ├─tint2
         │                     ├─urxvt───screen
         │                     ├─volumeicon
         │                     └─xscreensaver
     
  • 4.122, vle (ok), 18:55, 04/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > ТУПА ХОЧЕТСЯ ОКОННЫЙ МЕНЕДЖЕР

    Ну так и поставь себе просто window manager.
    Благо, достойных вагон и тележка.
    Зачем тебе XFCE?

     
  • 3.40, karapuz (??), 05:32, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Что значит это "работать" и при чем тут KDE и свистелки? Вы в свистелках работаете или в программах для работы? Запускайте и работайте, в чем проблема?
     
  • 3.62, all_glory_to_the_hypnotoad (ok), 11:12, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    работается лучше таки в гноме2
     
  • 3.121, vle (ok), 18:53, 04/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > По мне так, на KDE4 только смотреть красиво, а работается лучше в
    > KDE3. Довольно сильно все эти свистелки мешают, имхо.

    Работать лучше БЕЗ GNOME2, GNOME3, KDE4, KDE3, Trinity, Unity и прочей шло-ни.

     

  • 1.9, dimqua (ok), 00:21, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Планы хорошие. Вот только почему они в первом же релизе на Qt4 не перешли, а стали развивать Qt3? Ведь всё равно к этому пришли...
     
     
  • 2.18, smile (??), 00:47, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    вы просто не в курсе: с первых же релизов форка велась работа по портированию на QT4, для чего создавалась прослойка, которая уже сейчас позволяет собрать и запустить немалую часть третьих кед. Зайдите на сайт, что ли, прочитайте, если действительно интересно.
     
     
  • 3.77, dimqua (ok), 13:03, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Об этом мне известно. Тем не менее, мне непонятно зачем они силы тратили на Qt3, если всё равно, ещё изначально, планировали перейти на Qt4. Не собираются же они поддерживать обе версии?
     
     
  • 4.78, PereresusNeVlezaetBuggy (ok), 13:05, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Об этом мне известно. Тем не менее, мне непонятно зачем они силы
    > тратили на Qt3, если всё равно, ещё изначально, планировали перейти на
    > Qt4. Не собираются же они поддерживать обе версии?

    Потому что Qt3 уже есть и работает. Они смогли организовать более-менее плавный переезд - молодцы.

     

  • 1.11, Аноним (-), 00:31, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Не понимаю я этих метаний между третьими и четвертыми кедами. Там же все настраивается.
    Помнится, после обновления с 3 на 4 на своем десктопе, за полчаса настроил все так, чтобы выглядело и работало как раньше.
     
     
  • 2.26, Nxx (ok), 01:42, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • –4 +/
    > Не понимаю я этих метаний между третьими и четвертыми кедами. Там же
    > все настраивается.
    > Помнится, после обновления с 3 на 4 на своем десктопе, за полчаса
    > настроил все так, чтобы выглядело и работало как раньше.

    Нет, там не все настраивается.

     
     
  • 3.37, PereresusNeVlezaetBuggy (ok), 02:20, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> Не понимаю я этих метаний между третьими и четвертыми кедами. Там же
    >> все настраивается.
    >> Помнится, после обновления с 3 на 4 на своем десктопе, за полчаса
    >> настроил все так, чтобы выглядело и работало как раньше.
    > Нет, там не все настраивается.

    Либо настраивается через одно место. Самый последний наболевший пример: функция "открыть окно беседы при наступлении такого-то события" в Kopete. Очень удобно, когда надо поймать в аське человека, бывающего там наездами. А теперь надо городить что-то дикое с использованием qdbus и засовывать в окошко "выполнить команду".

     
     
  • 4.70, Аноним (-), 12:12, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    отправьте реквест или напишите патч
     
     
  • 5.80, PereresusNeVlezaetBuggy (ok), 13:36, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > отправьте реквест или напишите патч

    Проблема в том, что Kopete полагается на системный компонент, реализующий уведомления. И этот компонент не позволяет добавлять собственные виды действий. Патч... пока что не до того, мне б вообще заставить KDE SC в целом стабильно работать на опёнке. Потом, скорее всего, придётся заниматься Trinity, и уж после этого подобными нюансами. Эх. :)

     

  • 1.12, Аноним (-), 00:32, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А что на счет arts? ИМХО, это была самая убогая часть третьекед. Остальное - вкуснота
     
     
  • 2.27, Nxx (ok), 01:43, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > А что на счет arts? ИМХО, это была самая убогая часть третьекед.
    > Остальное - вкуснота

    У нас в openSUSE никаких проблем с arts нет. А в чем проблема-то?

     

  • 1.14, Аноним (-), 00:36, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    Ух ты, родные просторы. Тринити напоминает о тех давних временах чтоб был KDE3 и более "чистый" интернет. Ностальгия...
     
  • 1.17, Rex Lockheart (ok), 00:44, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    Переход на QT4 - это замечательно.
    Главное, чтобы они туда Плазму не внедрили...
    Она же не падает! )))
    И чтобы не привязывали всё подряд друг к другу.

    Висит какая-то свистелкоперделка, удалил бы нахрен - ан нет: она связана насмерть с чем-то очень важным, уберёшь - по зависимостям вся KDE4 удалится...

     
     
  • 2.28, Nxx (ok), 01:44, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Висит какая-то свистелкоперделка, удалил бы нахрен - ан нет: она связана насмерть
    > с чем-то очень важным, уберёшь - по зависимостям вся KDE4 удалится...

    Уже сказал, что это проблемы криворукости сборщиков твоего дистрибутива.

     
     
  • 3.126, Rex Lockheart (ok), 15:12, 07/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Это не ответ, а отмазка в духе ЛОРа.
    Упомянутое явление наблюдалось в старых версиях КДЕ на нескольких дистрибутивах, а теперь - на тех же дистрибутивах более новые версии КДЕ работают корректнее.
    Логичнее предположить, что проблема была именно в КДЕ.

     
     
  • 4.127, PereresusNeVlezaetBuggy (ok), 15:17, 07/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Это не ответ, а отмазка в духе ЛОРа.
    > Упомянутое явление наблюдалось в старых версиях КДЕ на нескольких дистрибутивах, а теперь
    > - на тех же дистрибутивах более новые версии КДЕ работают корректнее.
    > Логичнее предположить, что проблема была именно в КДЕ.

    Нет. KDE никак не отвечает за выстраивание зависимостей между собранными из его исходников пакетами. Как говорится, учите матчасть.

     

  • 1.20, smile (??), 00:53, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Кроме обозначенных официальных сборок некоторые активисты Archlinux собирают kdemod3 (на кодовой базе тринити сборочными скриптами kdemo3) после отказа от дальнейшей поддержки kdemod3 by chakra.

    ссылки на репозитории 3.5.12 тут
    https://bbs.archlinux.org/viewtopic.php?id=97612&p=1

    Там же где-то мельнула ссылка на параллельную работу по сборке svn версии тринити.

     
     
  • 2.59, smile (??), 11:06, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    нашлась ссылочка по сборке svn-версии

    https://wiki.archlinux.org/index.php/Trinity

     
     
  • 3.97, Zenitur (ok), 16:39, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А вот здесь приготавливают оверлей для Gentoo. У меня Gentoo тоже есть, но KDE 3.5.10 из него устанавливается с проблемами. http://linuxforum.ru/viewtopic.php?id=16653
     

  • 1.22, Nxx (ok), 01:35, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    > Улучшена работа движка для отображения интерфейса GTK-программ в окружении Qt. Теперь корректно отображаются вкладки, фоновое меню и прочие элементы управления, не нарушая единого стиля Trinity;

    Ну это же только GTK2 касается.

     
  • 1.23, Nxx (ok), 01:37, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    > Улучшена работа браузера Konqueror, решены проблемы с крахом Flash-плагина;

    Ой, ну только не надо перечислять все багфиксы. Это, как и интеграция с ГТК отлично работает и в нормальном КДЕ3. То что ребята из Тринити починили то, что сами сломали - честь им и хвала. Но не надо это в новость пихать.

     
     
  • 2.43, Аноним (-), 07:44, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Это, как и интеграция с ГТК отлично работает и в нормальном КДЕ3.

    Не работает, по крайней мере с прошлогодним флешем. Флеш включался один раз из 5.
    Да и интеграция с гтк была кривая и текучая. Я нашёл выход в пользовании темы qtcurve, которая поддерживала gtk нативно.

     
     
  • 3.95, Nxx (ok), 16:25, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> Это, как и интеграция с ГТК отлично работает и в нормальном КДЕ3.
    > Не работает, по крайней мере с прошлогодним флешем. Флеш включался один раз
    > из 5.

    А у меня каждый раз включается. ЧЯДНТ?

     

  • 1.44, Красава (?), 07:50, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +5 +/
    Я уже было начал думать,что загнулся форк... Приятно удивлён, молодцы ребята. Да и список улучшений приличный и планы правильные. В настоящее время самый оптимальный вариант по критериям: потребление памяти, простота, удобство и функциональность в сочетании с отличным внешним видом.
     
  • 1.46, Аноним (-), 08:30, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    root localhost yum repos d wget http ppa quickbuild pearsoncomputing net tr... большой текст свёрнут, показать
     
  • 1.47, жабабыдлокодер (ok), 08:41, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Некромантия запрещена во всех цивилизованных королевствах... Они еще дождутся официального визита Инквизиторов. И вообще почему они сразу 3-ю версию пилят? Почему не 1-ю? Чем первая версия кед хуже, чем третья?

    А если серьезно, еще никто из противников 4-ки так внятно и не сказал, что же им там так мешает работать? Не лучше ли актуальную версию улучшать, чем пробовать покойника оживить?

     
     
  • 2.49, smile (??), 09:57, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +4 +/
    А чего вы так разоряетесь? Чтобы пользоваться "чем-то" надо быть обязательно противником "чего-то"? Пахнет какой-то острой религиозной неприязнью. Видимо третьи кеды были чем-то лучше четвертых (и видимо для кого-то остаются до сих пор), раз работа до сих пор ведется.

    В конкретном случае с КДЕ3 немало людей выбрали по принципу "мне удобно и всего хватает", оставшись на 3й версии. Какой мотив им менять то, что их устраивает, на КДЕ4? По принципу "сборщик дистрибутива решил что вам удобнее 4е кеды"? В чем тогда свобода выбора?

    Поэтому наиболее активные и способные получили доступ на запись к официальному репозиторию KDE3 и продолжили поддержание 3й ветки.

    Вполне логично, что разработчик концентрирует усилия на 4й ветке, громко это объявив. Но это не значит, что "всем кушать это!".

     
     
  • 3.60, жабабыдлокодер (ok), 11:09, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Вот мне и хочется узнать, почему не кушается? Каких приправ не доложили? И почему тогда "мне удобно и хватает" именно третьей версии, а не второй и не первой?
     
     
  • 4.66, smile (??), 12:03, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +4 +/
    по два раза, по два раза немало людей выбрали по принципу мне удобно и всего... большой текст свёрнут, показать
     
     
  • 5.91, жабабыдлокодер (ok), 15:07, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Спасибо. Вы - первый, кто внятно объяснил, что ему в четверке не нравится. А за себя скажу, что плюсы от нововведений для меня превысили минусы уже в версии 4.1...
     
  • 4.96, Nxx (ok), 16:30, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Вот мне и хочется узнать, почему не кушается? Каких приправ не доложили?

    Мне не хватает пространственного режима в файловом менеджере, например. И приемлемых стилей Qt. И раздражает клизма в углу экрана.

    А еще, в КДЕ 4.6 у меня на Nvidia (проприетарный драйвер) жуткие артефакты, делающие их использование невозможным (например, нижний край всех менюшек остается на экране после исчезновения менюшки).

     
     
  • 5.99, PereresusNeVlezaetBuggy (ok), 17:21, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > А еще, в КДЕ 4.6 у меня на Nvidia (проприетарный драйвер) жуткие
    > артефакты, делающие их использование невозможным (например, нижний край всех менюшек остается
    > на экране после исчезновения менюшки).

    Боюсь, это скорее к разработчикам драйвера... От пропиетарных дров вообще аукается по-всякому, порой даже через несколько месяцев после их удаления. Давеча долго не мог понять, что не так с компом у подруги: Ubuntu, сломалась после апдейта 11.04->11.10. Симптомы: пропали все гномо-юнити-панельки. После долгих ковыряний по SSH (она в другом городе), выяснилось, что не хватает пары симлинков на libGL.so. Часть программ стартовала, часть - нет. А фишка в том, что как раз пропиетарные дрова-то и подменяют эту либу. Очевидно, удаление или переход на открытый драйвер произошли некорректно, но аукнулось это только при полном обновлении системы, вместе с иксами и прочим.

     
     
  • 6.104, Nxx (ok), 19:10, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> А еще, в КДЕ 4.6 у меня на Nvidia (проприетарный драйвер) жуткие
    >> артефакты, делающие их использование невозможным (например, нижний край всех менюшек остается
    >> на экране после исчезновения менюшки).
    > Боюсь, это скорее к разработчикам драйвера...

    Тем не менее, именно этого бага в КДЕ 4.3 не было, он появился позже, зато были артефакты в других местах - например, десктопные иконки показывались поверх других окон вот так:

    http://storage0.static.itmages.ru/i/10/0726/h_1280136020_cc4731eca5.png

    Этот баг и в 4.6 остался.

    А в КДЕ3 все замечательно.

     
  • 2.117, Michael Shigorin (ok), 05:57, 03/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > А если серьезно, еще никто из противников 4-ки так внятно и не
    > сказал, что же им там так мешает работать?

    Не противник, но измерял: http://www.altlinux.org/LTSP/Memory

     

  • 1.48, Аноним (-), 09:43, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Вот и хорошие новости пожаловали, гноме 2 конечно удобный, но не такой как kde3.
    А кде4 и гноме 3 вообще неюзабельные поделия(первый постоянно падает, второй создан для людей с ограниченными возможностями и только для них).
     
  • 1.50, Аноним (-), 10:02, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    И как оно на armel архитектуре интересно? Шустро? Сколько памяти жрет?
     
  • 1.52, vadiml (ok), 10:34, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Будет webkit в конке, можно будет перейти, а то khtml входящий в kde3 сильно отстал от нововведений в html
     
  • 1.53, Гость (?), 10:36, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    молодцы !
    может ещё Gnome 2 кто-нибудь развивать продолжит, а то так для десктопов ни одной нормальной ДЕ не останется
     
     
  • 2.63, Аноним (-), 11:29, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • –4 +/
    Gnome3 - это и есть развитие второгнома. Так что если вам нужен второгном - юзайте второгном. То что он не развивается - гарантия что там ничего не сломают, не изменят и что он останется таким как есть.
     

  • 1.54, Аноним (-), 10:41, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    А мотиф то, мотиф, когда возродят?
     
     
  • 2.65, nmorozov (ok), 11:55, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    http://www.openmotif.org/
     
  • 2.106, Nxx (ok), 19:27, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > А мотиф то, мотиф, когда возродят?

    Motif - это не ДЕ. ДЕ - это CDE.

    http://devio.us/~kpedersen/

     

  • 1.55, Анонище (?), 10:42, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Открыл для себя openbox и этим же открытием закрыл все проблемы с kde/gnome. Теперь хоть потоп.
     
  • 1.57, Аноним (-), 10:49, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Если будет реп для мандривы - порадуюсь. КДЕ3 юзал в последний раз на кноппиксе (4.0 или что то в этом роде) и было весьма винрарно, не то что нынешнее уг на опенбоксе или ЛХДЕ. Надо будет попробовать
     
     
  • 2.94, жабабыдлокодер (ok), 16:10, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Для Мандривы что-то есть, но не все. Ищите на MIB.
     

  • 1.71, the joker (ok), 12:19, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    Очень, очень хорошая новость. Я уже начал думать, что Тим Пирсон сдался и забил.
     
  • 1.74, Уже зарегистрирован (?), 12:44, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    В openbox хочу поставить их kicker - Панель.
    Еще помню очень нравилась crystal тема kde3.
     
  • 1.76, Уже зарегистрирован (?), 12:51, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Лучшая новость для меня, как юзверя, за всю неделю.
     
  • 1.83, Аноним (-), 14:00, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    а я вот тоже не перевариваю KDE4, пробовал из портов установить KDE3 но это получается бесконечно долгая компиляция, при частой переустановке ваще не катит такой вариант. я тогда поступил подругому, взял установочный дистрибутив от FreeBSD 7.4 и записал туда все установочные пакеты от 7.1 (7.4 удалил). получилась работоспособная система с ядром от 7.4 и KDE 3.5.10
     
  • 1.93, Аноним (-), 16:07, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Как перейдут на Qt4, точно пересяду.
     
     
  • 2.98, roaring_salmon (?), 16:57, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    С такими темпами к тому времени им прийдётся переходить на qt5.
     

  • 1.100, Аноним (100), 17:33, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Если с qt5, про планы по ней не знаю, получится как при переходе с 3 на 4 версию, то KDE4, 5 не нужен, опять глюкодром глотать это не по мне.
     
  • 1.113, Аноним (-), 21:02, 02/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Перевод на qt4! Будет праздник когда сделают. К
     
     
  • 2.114, PereresusNeVlezaetBuggy (ok), 21:06, 02/11/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Перевод на qt4! Будет праздник когда сделают. К

    Интересно, почему радостные комменты на тему Qt4 идут сплошь от пользователей, которые не собираются ни на Qt4, ни на Qt3 что-то программировать для Trinity...

     

  • 1.118, rstone (ok), 16:33, 03/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Нифига оно не доступно для скачивания , по крайней мере для бубунты последней .
    Всего 2 зеркала и на них  половины пакетов нет .
    Вроде как в пятницу , может быть будет .
     
  • 1.120, Sky (??), 18:15, 04/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Для Debian squeeze тоже нет пакета kde-trinity
     
  • 1.123, Eugene (ok), 20:31, 04/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > пакеты доступны для Ubuntu, Debian, RHEL/CentOS и Fedora.

    Ни фига RPM не доступны:
    wget http://ppa.quickbuild.pearsoncomputing.net/trinity/trinity/rpm/f15/trinity-3.
    --2011-11-04 20:30:30--  http://ppa.quickbuild.pearsoncomputing.net/trinity/trinity/rpm/f15/trinity-3.
    Распознаётся ppa.quickbuild.pearsoncomputing.net... 97.64.229.83
    Устанавливается соединение с ppa.quickbuild.pearsoncomputing.net|97.64.229.83|:80... соединение установлено.
    Запрос HTTP послан, ожидается ответ... 301 Moved Permanently
    Адрес: http://ppa2.quickbuild.pearsoncomputing.net/redirect.php?file=trinity/rpm/f15 [переход]
    --2011-11-04 20:30:31--  http://ppa2.quickbuild.pearsoncomputing.net/redirect.php?file=trinity/rpm/f15
    Распознаётся ppa2.quickbuild.pearsoncomputing.net... 97.64.229.83
    Повторное использование соединения с ppa.quickbuild.pearsoncomputing.net:80.
    Запрос HTTP послан, ожидается ответ... 301 Moved Permanently
    Адрес: http://mirror.its.uidaho.edu/pub/trinity/trinity/rpm/f15/trinity-3.5.13-f15.r [переход]
    --2011-11-04 20:30:31--  http://mirror.its.uidaho.edu/pub/trinity/trinity/rpm/f15/trinity-3.5.13-f15.r
    Распознаётся mirror.its.uidaho.edu... 129.101.198.59
    Устанавливается соединение с mirror.its.uidaho.edu|129.101.198.59|:80... соединение установлено.
    Запрос HTTP послан, ожидается ответ... 404 Not Found
    2011-11-04 20:30:32 ОШИБКА 404: Not Found.

     
  • 1.124, Sky (??), 07:13, 07/11/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Все отлично, пакеты есть и готовы для тестирования
     
     
  • 2.129, smile (??), 22:03, 07/11/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Большая часть скорее всего готова, но на зеркале постоянновисит и периодами обновляется файлик

    Archive-Update-in-Progress-mirror.its.uidaho.edu

    Так что возможно все еще наступить на грабельки... например под последнюю убунту не нашел knetworkmanager-trinity (knetworkmanager8-trinity), хотя в ночном билде исходник и описание вроде как присутствует.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Ideco
    A-Real
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру